imagerectangle
imagesavealpha
GD Functions
PHP Manual

# imagerotate

(PHP 4 >= 4.3.0, PHP 5)

imagerotate — Rotate an image with a given angle

### Description

resource imagerotate ( resource `$source_image` , float `$angle` , int `$bgd_color` [, int `$ignore_transparent` ] )

Rotates the `source_image` image using the given `angle` in degrees.

The center of rotation is the center of the image, and the rotated image is scaled down so that the whole rotated image fits in the destination image - the edges are not clipped.

### Parameters

`source_image`

  The source image link

`angle`

  Rotation angle, in degrees.

`bgd_color`

  Specifies the color of the uncovered zone after the rotation

`ignore_transparent`

  If set and non-zero, transparent colors are ignored (otherwise kept).

### Return Values

### ChangeLog

Version | Description
--- | ---
5.1.0 | `ignore_transparent` was added.

### Examples

Example #1 Rotate an image 180 degrees

This example rotates an image 180 degrees - upside down.

`<?php
// File and rotation
$filename = 'test.jpg';
$degrees = 180;
// Content type
header('Content-type: image/jpeg');
// Load
$source = imagecreatefromjpeg($filename);
// Rotate
$rotate = imagerotate($source, $degrees, 0);
// Output
imagejpeg($rotate);
?>`

The above example will output something similar to:

### Notes

> Note: This function is only available if PHP is compiled with the bundled version of the GD library.

imagerectangle
imagesavealpha
GD Functions
PHP Manual